package com.idea.customerManagement.controller;

import com.idea.customerManagement.dto.RoomSelectionInfoDto;
import com.idea.customerManagement.model.IntentionalDeposit;
import com.idea.customerManagement.service.IntentionalDepositService;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "IntentionalDepositController")
@Api(tags = "意向金管理")
public class IntentionalDepositController extends BaseController {

    @Autowired
    private IntentionalDepositService modelService;


    /**
     * 获取意向金流水号
     * @param customerManagementId
     * @return
     */
    @PostMapping(value = "getSerialNumber",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public String getSerialNumber(String customerManagementId) {
        return modelService.getSerialNumber(customerManagementId);
    }


    /**
     * 意向金登记
     * @param model
     * @return
     */
    @PostMapping(value = "add",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult add(IntentionalDeposit model){
        int result = modelService.add(model);
        return result(result);
    }




}
